Bug 1273624 - Centos: Consume fix for "Multipath is not correctly identifying iscsi devices, and misconfiguring them" (device-mapper-multipath-0.4.9-82.el7)
Centos: Consume fix for "Multipath is not correctly identifying iscsi devices...
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.16.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.2
: 4.17.17
Assigned To: Allon Mureinik
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 15:37 EDT by Nir Soffer
Modified: 2016-03-10 10:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 06:45:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51522 master MERGED build: Centos device-mapper-multipath requirement 2016-01-07 15:33 EST
oVirt gerrit 51543 ovirt-3.6 MERGED build: Centos device-mapper-multipath requirement 2016-01-10 08:37 EST

  None (edit)
Description Nir Soffer 2015-10-20 15:37:56 EDT
Description of problem:

Multipath did not identify iscsi devices, so their session recovery_tmo
was not configured correctly. This cause too slow failover when path is
having trouble.

This issue was fixed in device-mapper-multipath-0.4.9-82.el7, but this
package is not available yet on CentOS.

Vdsm should require this version when it is available.
Comment 1 Tal Nisan 2015-10-20 17:42:30 EDT
Marking it for 3.6.1 hoping we'll catch that train
Comment 2 Yaniv Lavi 2015-10-29 08:48:35 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 3 Allon Mureinik 2016-01-07 19:03:32 EST
CentOS 7.2 has this RPM, and the patch is trivial.
There's no reason to push this out to 3.6.5.
Comment 4 Aharon Canan 2016-01-17 06:45:38 EST
We are not verifying over CentOS
On RHEL7.2 it looks ok

Verified (vdsm-4.17.17-0.el7ev.noarch)

[root@camel-vdsc ~]# rpm -q --requires vdsm |grep device
device-mapper-multipath >= 0.4.9-84.el7

Note You need to log in before you can comment on or make changes to this bug.